
#ifndef	_WINIOEX_ERROR_SEARCH_H__
#define	_WINIOEX_ERROR_SEARCH_H__


typedef	struct _ERR_DATA_UNIT
{
	unsigned long	EnumId;
	wchar_t			Text[512];
}ERR_DATA_UNIT, *PERR_DATA_UNIT;

typedef	struct _ERR_DATA_GROUP
{
	ERR_DATA_UNIT	API;
	ERR_DATA_UNIT	MSG;
	ERR_DATA_UNIT	SRC;
}ERR_DATA_GROUP, *PERR_DATA_GROUP;




#include <vector>
#include <string>
#include <Windows.h>
#include <shlwapi.h>

#include "ErrorSearch.h"

using namespace std;



bool IsInited();
void StringReplace(wstring &_wstr, wstring _original,wstring _result,bool _replaceall);
void StringRemoveToEnd(wstring &_wstr, wstring _original);
void ControlCharReplace(unsigned char	*_input);
void EreaseEmptyLine(vector<wstring> &_vect_wstr);
void MatchEnumAndId(wstring _wstr,ERR_DATA_UNIT &_err_data_unit,unsigned int &_enum_numb);
void SearchErrorCode(unsigned long _err_code,ERR_DATA_GROUP &_err_data_group);
bool HeaderFileImport();



#endif